class RRresult
    {private int a,b;         
  public RResult()                   {   set(0£¬0);   }
  public RRresult(int m,int n)       {   set(m£¬n);   }
  private void set(int,m,int n)      {   a=m;b=n;     }
  public int geta( )                 {   return a;    }
  public int getb( )                 {   return b;    }
  public int getg( )
    {int u,v,r;
     u=a; v=b; r=u%v;
     while(r!=0)
       {u=v; v=r; r=u%v;  }
         return v;
    }

